Subject: Re: [PATCH 1/7] PowerPC64: Not to insert EA=0 entry at

From: Segher Boessenkool <[email-masked]>
Date: Fri, 28 Sep 2007 18:33:06 +0200

> Also, you may want to try adding --ffixed-r13 to the CFLAGS in the
> makefile and let us know if it makes a difference... r13 is marked
> reserved by the ABI but segher seems to imply that gcc may decide to 
> ues
> it anyway (ouch !)

That's what I thought for a second, but I misread the GCC sources.

This however brings up another point: for PPC32, -ffixed-r2 is
superfluous for all the same reasons as why we don't need -ffixed-r13
on PPC64.  Is there any reason to keep it or is this just historical
cruft?

Segher